<?php
    /**
    *
    * copyright (c) 2013-2021 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/index.php?alias=linee-guida-per-luso-del-logo-geecom
    */
    $geecomDb = $GLOBALS["geecomDb"];
?>
<body>
    <?php 
        echo $inclusioni["inizioBody"];
    ?>
    <div class="wrapper">
	<?php 
	    include "template/include/menuPrincipale.php";
	?>    
        <!-- Contenuto principale  -->
        <div id="content" class="p-0 extramargin d-flex flex-column">
            <div class="page-wrapper">
		<?php 
		    include "template/include/barraSuperiore.php";
		?>
                <main class="py-4">

			    <div class="container" >
			       <h2 class="page-title">Le mie fatture</h2>
				<div class="card">				
					<div class="card-body">
						<div class="row">
					     		<div class="col-12">
							   <div class="table-responsive">
								  <table class="table table-hover table-condensed">
								<thead>
								  <tr>
								    <th>Numero </th>
								    <th>Importo</th>
								    <th>Data emissione</th>
								    <th>Azioni</th>
								  </tr>
								</thead>
								<tbody>
								  <?php 
								      $risultatiPerPagina = 15;// <-- cambiare questo valore per modificare il numero di risultati per pagina

								      $queryNumeroMessaggi = "SELECT COUNT(*) FROM geecAd_documentiContabili WHERE tipo LIKE 'fattura' AND idUtente={$_SESSION["geecomUser_id"]}";
								      $risnumMessaggi = $geecomDb->eseguiQueryLettura($queryNumeroMessaggi);
								      $numMessaggi = $risnumMessaggi->fetch_array(MYSQLI_NUM);

								      if(isset($_GET["pag"])) {
								              $limSup = $risultatiPerPagina * $_GET["pag"];
								              $limInf = $limSup - $risultatiPerPagina;
								              $queryOrdini="SELECT * FROM geecAd_documentiContabili WHERE tipo LIKE 'fattura' AND idUtente={$_SESSION["geecomUser_id"]} ORDER BY id DESC LIMIT $limInf, $risultatiPerPagina";
								              $paginaCorrente = $_GET["pag"];
								      }
								      else {
								              $queryOrdini="SELECT * FROM geecAd_documentiContabili WHERE tipo LIKE 'fattura' AND idUtente={$_SESSION["geecomUser_id"]} ORDER BY id DESC LIMIT $risultatiPerPagina";
								              $paginaCorrente = 1;
								      }

								      $result = $geecomDb->eseguiQueryLettura($queryOrdini);
								      while($ricevuta=$result->fetch_assoc()) {
								              $dataCreazione = date("d/m/Y",strtotime($ricevuta["dataEmissione"]));
								              echo"<tr>
								          <td>{$ricevuta["id"]}</td>
								          <td>{$ricevuta["importo"]}</td>
								          <td>$dataCreazione</td>
								          <td>";
								              echo"<button type=\"button\" class=\"btn btn-primary\" onclick=\"{location.href='documentoFiscale.php?id={$ricevuta["id"]}';}\" data-toggle=\"tooltip\" data-placement=\"bottom\" title=\"Dettagli\"><i class=\"fas fa-search\"></i></button>";

								          echo"</td>
								        </tr>";
								      }
								  ?>
								</tbody>
							     </table>
					      </div>
					  </div>
				     </div>
			      </div>
			</div>

			<?php 
			    $queryComponentiDaMostrare = "SELECT c.id, cm.nome, c.testo, c.posizione FROM geecAd_composizionePagine AS c JOIN geecAd_componenti AS cm ON c.idComponente=cm.id WHERE idPagina={$pagina["id"]} ORDER BY c.posizione ASC";
			    $risComponenti = $geecomDb->eseguiQueryLettura($queryComponentiDaMostrare);
			    while($componente = $risComponenti->fetch_assoc()) { 
				 if($componente["nome"]=="Testo") {
				     stampaTesto($componente);
				 }
				 if($componente["nome"]=="Codice html") {
				     stampaCodiceHtml($componente);
				 }
				 if($componente["nome"]=="Immagine a tutto schermo") {
				     stampaImmagine($componente);
				 }
				 if($componente["nome"]=="Includi codice") {
				     includiCodice($componente);
				 }
			    }
			?>
		 </main>
            </div>
	    <?php
		include "template/include/footer.php";
	    ?>
        </div>
    </div>
    <?php
        if($impostazioni["accessoFacebook"]=="si") {
            include "include/facebookSdk.php";
        }

        include"include/includeJsBase.php"; 
        include"template/include/includeJsTemplate.php"; 
        
        echo $inclusioni["fineBody"];
    ?>
</body>